{
  "id": "itemTable",
  "selection": {
    "type": "single",
    "idField": "id"
  },
  "header": {
    "countType": "total",
    "orderType": "desc",
    "pageType": "default",
    "buttons": [
      {
        "id": "delete",
        "text": "선택 삭제",
        "theme": "line",
        "disableWhen": "noSelection",
        "requiredAuth": "itemDelete",
        "action": "delete"
      },
      {
        "id": "restore",
        "text": "아이템 복구",
        "theme": "line",
        "disableWhen": "disable",
        "requiredAuth": "itemDelete",
        "action": "restore"
      }
    ]
  },
  "columns": [
    {
      "id": "checkbox",
      "type": "checkbox",
      "width": "40px",
      "title": ""
    },
    {
      "id": "item_name",
      "type": "text",
      "width": "20%",
      "title": "아이템명"
    },
    {
      "id": "item_id",
      "type": "text",
      "width": "20%",
      "title": "아이템 ID"
    },
    {
      "id": "count",
      "type": "text",
      "width": "80px",
      "title": "수량"
    },
    {
      "id": "item_type",
      "type": "option",
      "width": "120px",
      "title": "아이템 타입",
      "option_name": "opItemType"
    },
    {
      "id": "equip_type",
      "type": "option",
      "width": "80px",
      "title": "장착",
      "option_name": "opEquipType"
    },
    {
      "id": "equiped_pos",
      "type": "text",
      "width": "80px",
      "title": "슬롯"
    },
    {
      "id": "create_dt",
      "type": "date",
      "width": "100px",
      "title": "생성날짜(KST)",
      "format": {
        "type": "function",
        "name": "convertKTC"
      }
    }
  ],
  "sort": {
    "defaultColumn": "row_num",
    "defaultDirection": "desc"
  }
}